//
//  GHJobListing.h
//  Portfolio: GitHub Jobs
//
//  Created by Julius Parishy on 5/3/12.
//  Copyright (c) 2012 DiDev Studios. All rights reserved.
//

#import <Foundation/Foundation.h>

/*
 //
 // An example JSON entry
 //
{ "company" : "GitHub",
    "company_logo" : "http://github-jobs.s3.amazonaws.com/96d3ad2a-8f2d-11e1-84d7-c98df3035ee2.png",
    "company_url" : "https://github.com",
    "created_at" : "Sun Mar 16 23:46:56 UTC 2014",
    "description" : "<p>We’re always looking for new developers at GitHub. We love to hire people who are passionate about building great products. We mostly write CoffeeScript, Ruby, Node, Objective-C, C#, C and Puppet — but we’re not strict about technology choices. If you think you might fit in here, send us an email.</p>\n\n<p>Some good questions to answer:</p>\n\n<ul>\n<li>Why you want to work for GitHub?</li>\n<li>What would you be interested in working on at GitHub?</li>\n<li>Who you are and some example code.</li>\n</ul>\n",
    "how_to_apply" : "<p>Email your info to <a href=\"mailto:resumes@github.com\">resumes@github.com</a>.</p>\n",
    "id" : "ad216266-8f2d-11e1-92f2-6186d57fdbc4",
    "location" : "SF (Or anywhere else)",
    "title" : "GitHub Developer",
    "type" : "Full Time",
    "url" : "http://jobs.github.com/positions/ad216266-8f2d-11e1-92f2-6186d57fdbc4"
},
*/

@interface GHJobListing : NSObject

@property (nonatomic, strong) NSString* company;
@property (nonatomic, strong) NSURL* companyLogoURL;
@property (nonatomic, strong) UIImage* companyLogoImage;

@property (nonatomic, strong) NSDate* createdAt;

@property (nonatomic, strong) NSString* description;
@property (nonatomic, strong) NSString* howToApply;

@property (nonatomic, strong) NSString* listingId;

@property (nonatomic, strong) NSString* location;

@property (nonatomic, strong) NSString* title;
@property (nonatomic, strong) NSString* type;

@property (nonatomic, strong) NSURL* url;

-(id)initWithDictionary:(NSDictionary*)dictionary;

@end
