//
//  GHJobListing.m
//  Portfolio: GitHub Jobs
//
//  Created by Julius Parishy on 5/3/12.
//  Copyright (c) 2012 DiDev Studios. All rights reserved.
//

#import "GHJobListing.h"

@interface GHJobListing ()

-(NSString*) stringFromDictionary:(NSDictionary*)dictionary withKey:(NSString*)key;

@end

@implementation GHJobListing

@synthesize company;
@synthesize companyLogoURL;
@synthesize companyLogoImage;

@synthesize createdAt;

@synthesize description;
@synthesize howToApply;

@synthesize listingId;

@synthesize location;

@synthesize title;
@synthesize type;

@synthesize url;

-(NSString*)stringFromDictionary:(NSDictionary*)dictionary withKey:(NSString *)key
{
    id result = [dictionary objectForKey:key];
    if(result != [NSNull null])
    {
        return result;
    }
    
    //NSLog(@"Warning: Key (%@) in dictionary was not present.", key);
    
    return nil;
}

-(id)initWithDictionary:(NSDictionary *)dictionary
{
    if((self = [super init]) != nil)
    {
        self.company = [self stringFromDictionary:dictionary withKey:@"company"];
        
        NSString* companyLogoString = [self stringFromDictionary:dictionary withKey:@"company_logo"];
        if(companyLogoString != nil)
            self.companyLogoURL = [NSURL URLWithString:companyLogoString];
        
        self.companyLogoImage = nil;
        
        //NSString* createdAtString = [self stringFromDictionary:dictionary withKey:@"created_at"];
        
        // Todo: setup a date formatter to get this out of the string.
        
        // "created_at" : "Sun Mar 16 23:46:56 UTC 2014",
        //NSDateFormatter* formatter = [NSDateFormatterBehaviorDefault
        self.createdAt = [NSDate date]; //[formatter dateFromString:createdAtString];
        
        self.description = [self stringFromDictionary:dictionary withKey:@"description"];
        self.howToApply = [self stringFromDictionary:dictionary withKey:@"how_to_apply"];
        
        self.listingId = [self stringFromDictionary:dictionary withKey:@"id"];
        
        self.location = [self stringFromDictionary:dictionary withKey:@"location"];
        
        self.title = [self stringFromDictionary:dictionary withKey:@"title"];
        self.type = [self stringFromDictionary:dictionary withKey:@"type"];
        
        NSString* urlString = [self stringFromDictionary:dictionary withKey:@"url"];
        if(urlString != nil)
            self.url = [[NSURL alloc] initWithString:urlString];
    }
    
    return self;
}

@end
