//
//  GHJobListingDetailViewController.m
//  Portfolio: GitHub Jobs
//
//  Created by Julius Parishy on 5/5/12.
//  Copyright (c) 2012 DiDev Studios. All rights reserved.
//

#import "GHJobListingDetailViewController.h"
#import "GHJobListing.h"

@interface GHJobListingDetailViewController ()

-(NSString*) prependCSSAttributesToHTMLString:(NSString*)htmlString;

@end

@implementation GHJobListingDetailViewController

@synthesize jobListing;

@synthesize companyLabel;
@synthesize titleLabel;

@synthesize companyLogoImageView;

@synthesize createdAtLabel;

@synthesize descriptionWebView;

-(void)setupViewProperties
{
    self.companyLabel.text = [NSString stringWithFormat:@"at %@", self.jobListing.company];
    self.titleLabel.text = self.jobListing.title;
    self.createdAtLabel.text = [NSString stringWithFormat:@"%@", self.jobListing.createdAt];
    
    if(self.jobListing.companyLogoImage != nil)
        [self.companyLogoImageView setImage:self.jobListing.companyLogoImage];
    
    [self.descriptionWebView loadHTMLString:[self prependCSSAttributesToHTMLString:self.jobListing.description] baseURL:nil];
}

-(NSString*)prependCSSAttributesToHTMLString:(NSString *)htmlString
{
    NSArray* cssAttributes = [NSArray arrayWithObjects:@"margin-left: 0px;",
                                                       @"padding-left: 0px;",
                                                       @"font-family: Helvetica Neue",
                                                       @"background-color: transparent;",
                                                       @"font-size: 14px;",
                                                       @"line-height: 100%;", nil];
    
    const NSString* defaultCSS = nil; 
    if(!defaultCSS)
    {
        NSMutableString* css = [NSMutableString string];
        for(NSString* cssAttr in cssAttributes)
            [css appendFormat:@"%@ ", cssAttr];
        
        defaultCSS = [NSString stringWithFormat:@"<style type=\"text/css\">body { %@ } a:link { color: black; }</style>", css];
    }
    
    return [defaultCSS stringByAppendingString:htmlString];
}

-(IBAction)dismiss:(id)sender
{
    [self dismissModalViewControllerAnimated:YES];
}

-(void)viewDidLoad
{
    [self setupViewProperties];
}

-(BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation
{
    return UIInterfaceOrientationIsLandscape(toInterfaceOrientation);
}

@end
