//
//  GHCompanyJobView.h
//  Portfolio: GitHub Jobs
//
//  Created by Julius Parishy on 5/2/12.
//  Copyright (c) 2012 DiDev Studios. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "GHJobListing.h"

/*
 * GHCompanyJobView
 *
 * This view shows an individual job listing in the grid view.
 */

typedef void (^GHJobListingPressedBlock)(GHJobListing* listing);


@interface GHJobListingView : UIView

@property (nonatomic, strong) GHJobListing* jobListing;

@property (nonatomic, strong) UILabel* companyNameLabel;
@property (nonatomic, strong) UILabel* companyPositionLabel;

@property (nonatomic, strong) UIImageView* companyLogoImageView;

@property (nonatomic, strong) UILabel* companyPositionDescriptionLabel;

@property (nonatomic, strong) UIButton* button;

@property (nonatomic, strong) GHJobListingPressedBlock pressedBlock;

-(id) initWithFrame:(CGRect)frame jobListing:(GHJobListing*)listing pressedBlock:(GHJobListingPressedBlock)pressed;

@end
